Bug 202207 - textproc/urlview: update port to use github (USE_GITHUB)
Summary: textproc/urlview: update port to use github (USE_GITHUB)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL: https://github.com/sigpipe/urlview
Keywords:
Depends on:
Blocks:
 
Reported: 2015-08-09 20:25 UTC by Derek Schrock
Modified: 2015-09-10 02:54 UTC (History)
2 users (show)

See Also:
uzsolt: maintainer-feedback+


Attachments
USE_GITHUB (6.79 KB, patch)
2015-08-09 20:25 UTC, Derek Schrock
no flags Details | Diff
USE_GITHUB pass 2. Forgot url_handler.sh (8.20 KB, patch)
2015-08-09 20:39 UTC, Derek Schrock
no flags Details | Diff
USE_GITHUB patch (3.48 KB, patch)
2015-08-10 00:54 UTC, Derek Schrock
no flags Details | Diff
USE_GITHUB patch (3.65 KB, patch)
2015-08-11 13:57 UTC, Derek Schrock
no flags Details | Diff
USE_GITHUB patch (4.02 KB, patch)
2015-08-12 02:14 UTC, Derek Schrock
no flags Details | Diff
USE_GITHUB patch (3.52 KB, patch)
2015-08-12 16:27 UTC, Derek Schrock
no flags Details | Diff
USE_GITHUB patch (3.35 KB, patch)
2015-08-13 18:38 UTC, Derek Schrock
no flags Details | Diff
poudriere 10amd64 logs (13.99 KB, text/plain)
2015-08-13 18:39 UTC, Derek Schrock
no flags Details
poudriere 9amd64 logs (13.80 KB, text/plain)
2015-08-13 18:39 UTC, Derek Schrock
no flags Details
poudriere 10i386 logs (14.06 KB, text/plain)
2015-08-13 22:20 UTC, Derek Schrock
no flags Details
poudriere 9i386 logs (13.95 KB, text/plain)
2015-08-13 22:21 UTC, Derek Schrock
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Derek Schrock 2015-08-09 20:25:54 UTC
Created attachment 159708 [details]
USE_GITHUB

Patch to update Makefile, distinfo, and patch files.

files/patch-urlview.c will be to be removed.
Comment 1 Derek Schrock 2015-08-09 20:39:42 UTC
Created attachment 159709 [details]
USE_GITHUB pass 2.  Forgot url_handler.sh

Forgot url_handler.sh in patch-sample.urlview
Comment 2 Derek Schrock 2015-08-09 20:44:08 UTC
Upstream fixes and auto* fixes

Also, adds support for a new QUITONLAUNCH configuration option.
Comment 3 Derek Schrock 2015-08-10 00:54:31 UTC
Created attachment 159716 [details]
USE_GITHUB patch

less craft from git-format-patch used git-diff instead since, I'm guessing, we don't care about the per commit messages.
Comment 4 Zsolt Udvari 2015-08-10 05:56:33 UTC
What is the benefit of github version? As I see it's unmaintained too :(
Comment 5 Derek Schrock 2015-08-10 17:07:39 UTC
I'd like to get QUITONLAUNCH in the port version.

Not updated for the past 2 years (compared to 15 for mutt's ftp contrib dir) but it's the location for any development if/when it happens.
Comment 6 Zsolt Udvari 2015-08-10 17:19:56 UTC
Oh, QUITONLAUNCH... it's a good feature :)
I'll check tomorrow.
Comment 7 Mathieu Arnold freebsd_committer 2015-08-11 13:44:10 UTC
Don't use PORTREVISION when the version of the port changes.  Change PORTVERSION to something like 0.9.2015.08.11, or the date of the last commit, but don't use PORTREVISION to for that. PORTREVISION is to use when the software does not change but the port changes. (Say, you add an option, change a default, strip a file.)
Comment 8 Derek Schrock 2015-08-11 13:57:56 UTC
Created attachment 159768 [details]
USE_GITHUB patch

per comment #7 Don't use PORTREVISION when the version of the port changes.
Comment 9 Derek Schrock 2015-08-12 02:14:59 UTC
Created attachment 159794 [details]
USE_GITHUB patch

Removed POREREVISION since it's reset on version change.  Added alignment in Makefile.
Comment 10 Mathieu Arnold freebsd_committer 2015-08-12 12:36:41 UTC
Please, don't reindent the whole makefile, the previous patch was almost perfect (PORTREVISION should have gone completly) :-)
Comment 11 Derek Schrock 2015-08-12 16:27:42 UTC
Created attachment 159805 [details]
USE_GITHUB patch
Comment 12 Zsolt Udvari 2015-08-12 17:28:34 UTC
I think PORTVERSION should be 20131020 - without 0.9.
And I don't see any reason why don't you delete patch-sample.urlview.
Comment 13 Derek Schrock 2015-08-12 17:58:27 UTC
I believe keeping the 0.9 would be a good idea only because it's 0.9 currently however it's a non-tagged development version.  It's possible that a new tag (0.10) could be created on the git repo and then in turn you could remove the GIT_TAGNAME ex:

PORTNAME= urlview
PORTVERSION= 0.10
...
USE_GITHUB= yes
GH_ACCOUNT= sigpipe
...


Removing that patch might be fine I don't know the history behind the reason for the change.  Could be old/historic to reference 'netscape' (I believe this would be from ~97-2000 time frame) and since post-patch removes all references to url_handler.sh with 'firefox'

Might be a good patch for upstream (if it will ever get applied).

Commit message for that change:
Author: crees <crees@FreeBSD.org>
Date:   Mon Aug 15 15:19:39 2011 +0000

    Handle alternative browsers correctly.
    
    PR:         ports/152453
    Submitted by:       Stefan Thurner <thurners@nicsys.de> Test Rat <ttsestt@gmail.com>
    Approved by:        Anton Shterenlikht <mexas@bristol.ac.uk> (maintainer)
Comment 14 Derek Schrock 2015-08-12 18:00:09 UTC
Also forgot to mention that other OS/distros (not that it's valid) keep the version number along with a commit/development-id ex Fedora:

http://pkgs.org/fedora-rawhide/fedora-x86_64/urlview-0.9-18.20131022git08767a.fc23.x86_64.rpm.html
Comment 15 Zsolt Udvari 2015-08-12 18:25:11 UTC
I don't think it will 0.10, it seems it's an abandonware.

About PORTVERSION: "For example, if a snapshot release is made on the date 20000917, and the previous version of the software was version 1.2, do not use 20000917 for PORTVERSION. The correct way is a PORTVERSION of 1.2.20000917" (Porter's Handbook). So your version will be the right way :)

I think if you modify your patch to remove patch-sample.urlview and attach poudriere log, will acceptable.

(About other distros: I think FreeBSD isn't Linux. FreeBSD has a policy (and handbook) about ports and should follow it.)
Comment 16 Mathieu Arnold freebsd_committer 2015-08-12 21:11:26 UTC
The PORTREVISION of 0.9.date is the way to go.
Comment 17 Zsolt Udvari 2015-08-13 05:49:56 UTC
(In reply to Mathieu Arnold from comment #16)
PORTVERSION :)
Comment 18 Derek Schrock 2015-08-13 18:38:08 UTC
Created attachment 159840 [details]
USE_GITHUB patch

Use 0.9.20131021 per porter's handbook
Comment 19 Derek Schrock 2015-08-13 18:39:02 UTC
Created attachment 159843 [details]
poudriere 10amd64 logs

poudriere 10amd64 logs
Comment 20 Derek Schrock 2015-08-13 18:39:26 UTC
Created attachment 159844 [details]
poudriere 9amd64 logs
Comment 21 Derek Schrock 2015-08-13 18:41:27 UTC
Comment on attachment 159840 [details]
USE_GITHUB patch

Remove patch-sample.urlview
Comment 22 Derek Schrock 2015-08-13 22:20:58 UTC
Created attachment 159851 [details]
poudriere 10i386 logs
Comment 23 Derek Schrock 2015-08-13 22:21:28 UTC
Created attachment 159852 [details]
poudriere 9i386 logs
Comment 24 Zsolt Udvari 2015-08-14 07:24:30 UTC
I think it's okay.
Comment 25 Derek Schrock 2015-09-06 01:09:20 UTC
Anything missing that's blocking this from being committed?
Comment 26 commit-hook freebsd_committer 2015-09-10 02:52:16 UTC
A commit references this bug:

Author: wen
Date: Thu Sep 10 02:51:32 UTC 2015
New revision: 396549
URL: https://svnweb.freebsd.org/changeset/ports/396549

Log:
  - Update to 0.9.20131021
  - Switch to USE_GITHUB
  - Add WWW

  PR:		202207
  Submitted by:	dereks@lifeofadishwasher.com
  Approved by:	udvzsolt@gmail.com(maintainer)

Changes:
  head/textproc/urlview/Makefile
  head/textproc/urlview/distinfo
  head/textproc/urlview/files/
  head/textproc/urlview/pkg-descr